Skip to main content
PUT
Update a group's details

Authorizations

JSESSIONID
string
cookie
required

Path Parameters

groupId
integer<int64>
required

The unique ID number of the group Example: 606

Body

application/json

The data model that contains the possible group properties and attributes that can be updated.

The data model that contains the possible group properties and attributes.

attributes
object

Data fields that help to define the ULM entity.

displayName
string

The display name

Example:

"Entity display name"

status
string

Group's status

Example:

"activated"

type
string

A particular type of a given entity.

Example:

"com.uxpsystems.ulm.entity.RegularEntityType"

Response

OK

The data fields that define a ULM group. Note: Not all of the listed fields may be present in a response.

activatedDate
number<int64>

The entity’s activation date and time, expressed in UNIX Epoch time

Example:

1514766808000

attributes
object

Group Response Attributes

createdDate
number<int64>

The entity’s creation date and time in UNIX Epoch time

Example:

1538682581776

deactivatedDate
number<int64>

The entity’s deactivation date and time, expressed in UNIX Epoch time

Example:

1543833950000

displayName
string

The display name of the entity

Example:

"Entity display name"

id
integer<int64>

The unique ID of an entity.

Example:

1

status
enum<string>

The status of the entity. Possible values include:

  • activating - The entity has been provisioned, but is not yet ready to be used or consumed.
  • activated - The entity is active, and the functionality to which it is tied is enabled.
  • suspended - The entity is temporarily deactivated, but can be reactivated in the future.
  • deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
  • pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
  • unknown - This is a generic, catch all state for specific entities.

Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.

Available options:
activating,
activated,
suspended,
deactivated,
pending,
unknown
Example:

"activated"

suspendedDate
number<int64>

The entity’s suspension date and time, expressed in UNIX Epoch time

Example:

1527917430000

type
string

A particular type of a given entity.

Example:

"com.uxpsystems.ulm.entity.RegularEntityType"

updatedDate
number<int64>

The most recent date and time that the entity was updated, expressed in UNIX Epoch time

Example:

1538682581776